%define name	gtk-qt-engine
%define version	0.8
%define release	%mkrel 4

Summary:	Allow GTK to use Qt widget styles
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://gtk-qt.ecs.soton.ac.uk/files/%{version}/%{name}-%{version}.tar.bz2
Patch0:		gtk-qt-engine-fix-menuentry.patch	
Patch1:		gtk-qt-engine-fix-kde-nsplugin.patch
License:	GPL
Group:		Graphical desktop/Other
Url:		http://gtk-qt.ecs.soton.ac.uk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk2-devel
BuildRequires:	qt3-devel
BuildRequires:	kdebase-devel
BuildRequires:	cmake >= 2.4
BuildRequires:	bonoboui-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The GTK-Qt Theme Engine is a project allowing GTK to use Qt widget styles. 

It behaves like a normal GTK theme engine, but calls functions from Qt 
instead of doing the drawing itself.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1 

%build
cmake . \
    %if "lib" != "lib" 
        -DLIB_SUFFIX=64 \
    %endif 
    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
    -DBUILD_SHARED_LIBS:BOOL=ON \
    -DBUILD_STATIC_LIBS:BOOL=OFF
make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang gtkqtengine

%post 
%{update_menus} 

%postun 
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f gtkqtengine.lang
%defattr(-,root,root)
%doc README
%{_datadir}/applications/*.desktop
%{_datadir}/themes/Qt/gtk-2.0/gtkrc
%{_libdir}/kde3/*
%{_libdir}/gtk-2.0/*/engines/*


%changelog
* Mon Feb 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.8-4mdv2008.1
+ Revision: 162432
- Fix Flash plug-in in Konqueror not working if gtk-qt-engine is
  being used (patch1 from Debian:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460634)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-3mdv2008.0
+ Revision: 92275
- Do not use NoDisplay for Kcontol kcm

* Wed Sep 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-2mdv2008.0
+ Revision: 90495
- [BUGFIX] D not show on the menu (Bug #33662)

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.8-1mdv2008.0
+ Revision: 76480
- fix url and tarball location
- New version 0.8
- Import gtk-qt-engine



* Thu Sep  7 2006 Couriousous <couriousous@mandriva.org> 0.7-2mdv2007.0
- fix #24967

* Tue Aug 22 2006 Couriousous <couriousous@mandriva.org> 0.7-1mdv2007.0
- 0.7

* Mon Jun 12 2006 David Walluck <walluck@mandriva.org> 0.7-0.20060204.1mdv2007.0
- CVS 20060204
- remove black menu patch (fixed upstream)
- rebuild for new gtk

* Sat Sep 10 2005 Couriousous <couriousous@mandriva.org> 0.7-0.20050303.3mdk
- Patch0: fix black menu #18423 (patch from ubuntu, thanks to Frederik Himpe)
- Patch1: fix compile on x86_64
- Do not add -pipe option to gcc, it fail for an unknow reason

* Thu Mar 17 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.7-0.20050303.2mdk
- Fix compile For arch64 From trem

* Thu Mar 03 2005 Couriousous <couriousous@mandrake.org> 0.7-0.20050303.1mdk
- Sync with cvs ( fix #14064 )

* Mon Jan 31 2005 Couriousous <couriousous@mandrake.org> 0.7-0.20050131.1mdk
- Sync with cvs
- Take some fix from Pascal Billery-Schneider <sagittarius@jabber.org> spec

* Sun Jan 30 2005 Couriousous <couriousous@mandrake.org> 0.6-1mdk
- First Mandrakelinux release
